Skip to Content
API ReferenceProducts

Batch delete products

Delete multiple products in one request by sending the product IDs in resources.

Delete multiple products in one request by sending the product IDs in resources.

DELETE
/v2/products/batch

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
resources*array<integer>
Items1 <= items

Response Body

Successful response.

application/json
  1. response
data*array<>
Example Request
curl -X DELETE 'https://sell.app/api/v2/products/batch' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "resources": [    1,    2  ]}'
{  "data": [    {      "id": 1,      "title": "Project Launch Kit",      "slug": "project-launch-kit",      "description": "<p>A practical guide to planning, testing and launching your project.</p>",      "images": [        {          "path": "store/1/listings/NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K.png",          "metadata": {            "size": 39289,            "filename": "NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K",            "extension": "png",            "mime_type": "image/png"          }        },        {          "path": "store/1/listings/ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X.png",          "metadata": {            "size": 422373,            "filename": "ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X",            "extension": "png",            "mime_type": "image/png"          }        }      ],      "order": 1,      "visibility": "PUBLIC",      "delivery_text": "Thanks for your purchase. Your download is ready.",      "additional_information": [        {          "required": true,          "key": "3aecffd000e00e2211e94558007ffc37",          "type": "checkbox",          "label": "Do you agree to the purchase terms?"        }      ],      "other_settings": {        "faq": [          {            "answer": "Yes. Adapt the included templates to your project.",            "question": "Can I use these templates for my own project?"          }        ],        "video_url": "https://example.com/launch-lab/product-tour",        "redirect_url": "https://example.com/post-launch?customer_email=[customer_email]&order_id=[order_id]",        "product_title": "Project Launch Kit",        "product_description": "Plan, test, and launch your next project."      },      "deleted_at": "2026-08-30T12:00:01.000000Z",      "created_at": "2024-01-09T22:56:49.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "category_id": null,      "section_id": null,      "section_order": null,      "is_discoverable": true,      "variants": [        {          "id": 1,          "title": "Default"        }      ],      "url": "https://launch-lab.sell.app/product/project-launch-kit"    },    {      "id": 2,      "title": "Project Launch Kit",      "slug": "project-launch-kit-2",      "description": "<p>A practical guide to planning, testing and launching your project.</p>",      "images": [        {          "path": "store/1/listings/NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K.png",          "metadata": {            "size": 39289,            "filename": "NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K",            "extension": "png",            "mime_type": "image/png"          }        },        {          "path": "store/1/listings/ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X.png",          "metadata": {            "size": 422373,            "filename": "ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X",            "extension": "png",            "mime_type": "image/png"          }        }      ],      "order": 1,      "visibility": "PUBLIC",      "delivery_text": "Thanks for your purchase. Your download is ready.",      "additional_information": [        {          "required": true,          "key": "3aecffd000e00e2211e94558007ffc37",          "type": "checkbox",          "label": "Do you agree to the purchase terms?"        }      ],      "other_settings": {        "faq": [          {            "answer": "Yes. Adapt the included templates to your project.",            "question": "Can I use these templates for my own project?"          }        ],        "video_url": "https://example.com/launch-lab/product-tour",        "redirect_url": "https://example.com/post-launch?customer_email=[customer_email]&order_id=[order_id]",        "product_title": "Project Launch Kit",        "product_description": "Plan, test, and launch your next project."      },      "deleted_at": "2026-08-30T12:00:01.000000Z",      "created_at": "2024-01-09T22:56:49.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "category_id": null,      "section_id": null,      "section_order": null,      "is_discoverable": true,      "variants": [        {          "id": 1,          "title": "Default"        }      ],      "url": "https://launch-lab.sell.app/product/project-launch-kit-2"    }  ]}